> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List custom notations

GET https://{tenant_name}.benchling.com/api/v2/custom-notations

List all available custom notations for specifying modified nucleotide sequences

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/custom-notations/list-custom-notations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination

## Response

### 200

OK

- `nextToken` (string, optional)
- `customNotations` (list of CustomNotation, optional)

## Types

### CustomNotation

- `aliases` (list of CustomNotationAlias, optional)
- `id` (string, optional)
- `name` (string, optional)

### CustomNotationAlias

- `baseMonomerId` (string, optional)
- `customNotationId` (string, optional)
- `id` (string, optional)
- `phosphateMonomerId` (string, optional, nullable)
- `rank` (double, optional)
- `sugarMonomerId` (string, optional)
- `token` (string, optional)
- `tokenVariantEnd` (string, optional, nullable)
- `tokenVariantStart` (string, optional, nullable)

## Examples

**Response**

```json
{
  "nextToken": "string",
  "customNotations": [
    {
      "aliases": [
        {
          "baseMonomerId": "mon_a1b2c3",
          "customNotationId": "sntx_a1b2c3",
          "id": "sntxals_a1b2c3",
          "phosphateMonomerId": "mon_a1b2c3",
          "rank": 1.1,
          "sugarMonomerId": "mon_a1b2c3",
          "token": "string",
          "tokenVariantEnd": "string",
          "tokenVariantStart": "string"
        }
      ],
      "id": "sntx_lRe007yZ",
      "name": "Your Custom Notation"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/custom-notations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/custom-notations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```